TRANSPORT_CONFI(9)

NAME
transport_configure_device - configure an already set up device

SYNOPSIS

void transport_configure_device (struct device * dev);

ARGUMENTS

dev generic device representing device to be configured

DESCRIPTION

The idea of configure is simply to provide a point within the setup process to allow the transport class to extract information from a device after it has been setup. This is used in SCSI because we have to have a setup device to begin using the HBA, but after we send the initial inquiry, we use configure to extract the device parameters. The device need not have been added to be configured.

DESCRIPTION

The idea of configure is simply to provide a point within the setup process to allow the transport class to extract information from a device after it has been setup. This is used in SCSI because we have to have a setup device to begin using the HBA, but after we send the initial inquiry, we use configure to extract the device parameters. The device need not have been added to be configured.